> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a guide

> Retrieve a guide by id. <h3>OAuth</h3>Required scopes: <code>support.readonly</code> or <code>support</code>



## OpenAPI

````yaml /assets/openapi.json get /guides/v1/{guideId}
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /guides/v1/{guideId}:
    get:
      tags:
        - Guides
      summary: Retrieve a guide
      description: >-
        Retrieve a guide by id. <h3>OAuth</h3>Required scopes:
        <code>support.readonly</code> or <code>support</code>
      operationId: getGuide
      parameters:
        - in: path
          name: guideId
          required: true
          description: The id of the guide.
          schema:
            type: string
            format: uuid
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getGuide'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - support
            - support.readonly
components:
  schemas:
    getGuide:
      type: object
      properties:
        guide:
          type: object
          properties:
            attachments:
              type: array
              items:
                type: object
                properties:
                  key:
                    type: string
                    description: Storage key of the file.
                  mime:
                    type: string
                    description: MIME type of the file.
                  name:
                    type: string
                    description: Display name of the file.
                  size:
                    description: File size in bytes.
                    type: number
                  url:
                    type: string
                    description: Public URL of the file.
                required:
                  - key
                  - mime
                  - name
                  - url
                additionalProperties: false
              description: Files attached to the guide.
            createDate:
              type: string
              format: date-time
              description: ISO timestamp of when the guide was created.
            description:
              description: Markdown content of the guide.
              type: string
            id:
              type: string
              format: uuid
              description: Unique identifier of the guide.
            locale:
              description: Detected language code of the guide content.
              type: string
            locationRef:
              type: string
              format: uuid
              description: ID of the organization (location) this guide belongs to.
            media:
              type: array
              items:
                type: object
                properties:
                  height:
                    type: number
                    description: Image height in pixels.
                  key:
                    description: Storage key of the image.
                    type: string
                  mime:
                    type: string
                    description: MIME type of the image.
                  url:
                    description: Public URL of the image.
                    type: string
                  width:
                    type: number
                    description: Image width in pixels.
                required:
                  - key
                  - mime
                  - url
                additionalProperties: false
              description: Images extracted from the guide description.
            title:
              type: string
              description: Display name of the guide.
            visibility:
              type: string
              enum:
                - public
                - admins
                - members
                - networkMembers
              description: Who can see this guide.
          required:
            - attachments
            - createDate
            - id
            - locationRef
            - media
            - title
            - visibility
          additionalProperties: false
          description: The guide.
      required:
        - guide
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````